"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ea1f0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ea280>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ea310>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ea3a0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ea430>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ea4c0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ea550>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ea5e0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ea670>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ea700>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ea790>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ea820>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ea8b0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ea940>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ea9d0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff755eaa60>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff755eaaf0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff755eab80>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff755eac10>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff755eaca0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ead30>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff755eadc0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff755eae50>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff755eaee0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ee040>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff755eaf70>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ee0d0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ee160>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ee1f0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ee280>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ee310>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ee3a0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ee430>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ee4c0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ee550>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ee5e0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ee670>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ee700>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ee790>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ee820>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ee8b0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ee940>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff755ee9d0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff755eea60>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff755eeaf0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff755eeb80>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff755eec10>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff755eeca0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff755eed30>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff755eedc0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff755eee50>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff755eeee0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff755eef70>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f2040>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f20d0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f2160>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f21f0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f2280>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f2310>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f23a0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f2430>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f24c0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f2550>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f25e0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f2670>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f2820>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f2700>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f28b0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f2940>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f29d0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f2a60>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f2af0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f2c10>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f2b80>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f2ca0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f2d30>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f2dc0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f2ee0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f2e50>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f2f70>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f5040>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f50d0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f5160>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f51f0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff755f5280>)]
name: str = 'fr_HOCCN'
